## mobile-trade 0.1-2

=== app/Makefile ===
#############################################################################
# Makefile for building: mobiletrade
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 26 18:55:46 2010
# Project:  app.pro
# Template: app
# Command: /usr/local/bin/qmake -unix -o Makefile app.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtXml -I/opt/qt4-maemo5/include/QtSql -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtMaemo5 -I/opt/qt4-maemo5/include -I. -Ibusiness_logic -Imodel -Idatabase -Inetwork -Isrc/network/lib/qtsoap-2.7/src -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtSql -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/network/lib/qtsoap-2.7/src/qtsoap.cpp \
		src/main.cpp \
		src/model/order.cpp \
		src/business_logic/manager.cpp \
		src/model/good.cpp \
		src/database/mdb.cpp \
		src/model/ordered.cpp \
		src/model/contractor.cpp \
		src/model/goodstype.cpp \
		src/model/deliverytype.cpp \
		src/model/sellpoint.cpp \
		src/model/paytype.cpp \
		src/model/pricetype.cpp \
		src/model/contract.cpp \
		src/model/sellfirm.cpp \
		src/model/goodstree.cpp \
		src/network/soapclient.cpp \
		src/network/demo.cpp \
		src/network/ozon.cpp \
		src/business_logic/demoservicelogic.cpp moc_qtsoap.cpp \
		moc_manager.cpp \
		moc_imainwindow.cpp \
		moc_soapclient.cpp \
		moc_demo.cpp \
		moc_ozon.cpp \
		moc_demoservicelogic.cpp
OBJECTS       = qtsoap.o \
		main.o \
		order.o \
		manager.o \
		good.o \
		mdb.o \
		ordered.o \
		contractor.o \
		goodstype.o \
		deliverytype.o \
		sellpoint.o \
		paytype.o \
		pricetype.o \
		contract.o \
		sellfirm.o \
		goodstree.o \
		soapclient.o \
		demo.o \
		ozon.o \
		demoservicelogic.o \
		moc_qtsoap.o \
		moc_manager.o \
		moc_imainwindow.o \
		moc_soapclient.o \
		moc_demo.o \
		moc_ozon.o \
		moc_demoservicelogic.o
DIST          = /opt/qt4-maemo5/mkspecs/common/g++.conf \
		/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		src/network/lib/qtsoap-2.7/common.pri \
		src/network/lib/qtsoap-2.7/src/qtsoap.pri \
		/opt/qt4-maemo5/mkspecs/features/release.prf \
		/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		app.pro
QMAKE_TARGET  = mobiletrade
DESTDIR       = 
TARGET        = mobiletrade

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: app.pro  /opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /opt/qt4-maemo5/mkspecs/common/g++.conf \
		/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		src/network/lib/qtsoap-2.7/common.pri \
		src/network/lib/qtsoap-2.7/src/qtsoap.pri \
		/opt/qt4-maemo5/mkspecs/features/release.prf \
		/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtSql.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile app.pro
/opt/qt4-maemo5/mkspecs/common/g++.conf:
/opt/qt4-maemo5/mkspecs/common/unix.conf:
/opt/qt4-maemo5/mkspecs/common/linux.conf:
/opt/qt4-maemo5/mkspecs/qconfig.pri:
/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
src/network/lib/qtsoap-2.7/common.pri:
src/network/lib/qtsoap-2.7/src/qtsoap.pri:
/opt/qt4-maemo5/mkspecs/features/release.prf:
/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/opt/qt4-maemo5/mkspecs/features/qt.prf:
/opt/qt4-maemo5/mkspecs/features/moc.prf:
/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/opt/qt4-maemo5/mkspecs/features/resources.prf:
/opt/qt4-maemo5/mkspecs/features/uic.prf:
/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/opt/qt4-maemo5/mkspecs/features/lex.prf:
/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtSql.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile app.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mobiletrade1.0.0 || $(MKDIR) .tmp/mobiletrade1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mobiletrade1.0.0/ && $(COPY_FILE) --parents src/network/lib/qtsoap-2.7/src/qtsoap.h src/model/order.h src/business_logic/manager.h src/model/good.h src/database/mdb.h src/model/ordered.h src/model/contractor.h src/model/goodstype.h src/model/deliverytype.h src/model/sellpoint.h src/model/paytype.h src/model/pricetype.h src/model/contract.h src/model/sellfirm.h src/user_interface/maemo/graphicsinterface.h src/user_interface/maemo/imainwindow.h src/model/goodstree.h src/network/soapclient.h src/network/demo.h src/network/ozon.h src/business_logic/demoservicelogic.h src/user_interface/maemo/graphicsinterface.h src/user_interface/maemo/imainwindow.h .tmp/mobiletrade1.0.0/ && $(COPY_FILE) --parents src/network/lib/qtsoap-2.7/src/qtsoap.cpp src/main.cpp src/model/order.cpp src/business_logic/manager.cpp src/model/good.cpp src/database/mdb.cpp src/model/ordered.cpp src/model/contractor.cpp src/model/goodstype.cpp src/model/deliverytype.cpp src/model/sellpoint.cpp src/model/paytype.cpp src/model/pricetype.cpp src/model/contract.cpp src/model/sellfirm.cpp src/model/goodstree.cpp src/network/soapclient.cpp src/network/demo.cpp src/network/ozon.cpp src/business_logic/demoservicelogic.cpp .tmp/mobiletrade1.0.0/ && (cd `dirname .tmp/mobiletrade1.0.0` && $(TAR) mobiletrade1.0.0.tar mobiletrade1.0.0 && $(COMPRESS) mobiletrade1.0.0.tar) && $(MOVE) `dirname .tmp/mobiletrade1.0.0`/mobiletrade1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mobiletrade1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qtsoap.cpp moc_manager.cpp moc_imainwindow.cpp moc_soapclient.cpp moc_demo.cpp moc_ozon.cpp moc_demoservicelogic.cpp moc_imainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qtsoap.cpp moc_manager.cpp moc_imainwindow.cpp moc_soapclient.cpp moc_demo.cpp moc_ozon.cpp moc_demoservicelogic.cpp moc_imainwindow.cpp
moc_qtsoap.cpp: src/network/lib/qtsoap-2.7/src/qtsoap.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/network/lib/qtsoap-2.7/src/qtsoap.h -o moc_qtsoap.cpp

moc_manager.cpp: src/user_interface/maemo/InformationObjects/goodinfoobject.h \
		src/user_interface/maemo/InformationObjects/goodsviewinfoobject.h \
		src/user_interface/maemo/InformationObjects/pathinfoobject.h \
		src/user_interface/maemo/InformationObjects/serviceinfoobject.h \
		src/business_logic/demoservicelogic.h \
		src/model/order.h \
		src/model/good.h \
		src/database/mdb.h \
		src/model/contractor.h \
		src/model/deliverytype.h \
		src/model/sellpoint.h \
		src/model/paytype.h \
		src/model/pricetype.h \
		src/model/contract.h \
		src/model/sellfirm.h \
		src/network/soapclient.h \
		src/network/demo.h \
		src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/ozon.h \
		src/model/goodstree.h \
		src/model/goodstype.h \
		src/business_logic/manager.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/business_logic/manager.h -o moc_manager.cpp

moc_imainwindow.cpp: src/user_interface/maemo/InformationObjects/goodinfoobject.h \
		src/user_interface/maemo/InformationObjects/goodsviewinfoobject.h \
		src/user_interface/maemo/InformationObjects/pathinfoobject.h \
		src/user_interface/maemo/InformationObjects/serviceinfoobject.h \
		src/user_interface/maemo/InformationObjects/ordersinfoobject.h \
		src/user_interface/maemo/imainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/user_interface/maemo/imainwindow.h -o moc_imainwindow.cpp

moc_soapclient.cpp: src/network/demo.h \
		src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/ozon.h \
		src/network/soapclient.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/network/soapclient.h -o moc_soapclient.cpp

moc_demo.cpp: src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/demo.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/network/demo.h -o moc_demo.cpp

moc_ozon.cpp: src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/ozon.h

=== app/test/model/Makefile ===
#############################################################################
# Makefile for building: TestModel
# Generated by qmake (2.01a) (Qt 4.4.3) on: Fri Feb 26 15:02:32 2010
# Project:  TestModel.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile TestModel.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_TESTLIB_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/default -I. -I/usr/include/QtCore -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtGui -I/usr/include/QtTest -I/usr/include/QtTest -I/usr/include -I../../src/model -I. -I.
LINK          = g++
LFLAGS        = -m64
LIBS          = $(SUBLIBS)  -L/usr/lib64 -L/usr/lib64 -pthread -pthread -lQtTest -pthread -pthread -lQtGui -L/usr/X11R6/lib64 -pthread -lpng -lSM -lICE -pthread -pthread -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtCore -lz -lm -pthread -lgthread-2.0 -lrt -lglib-2.0 -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = TestModel.cpp \
		../../src/model/order.cpp \
		../../src/model/document.cpp \
		TestOrder.cpp moc_TestOrder.cpp
OBJECTS       = TestModel.o \
		order.o \
		document.o \
		TestOrder.o \
		moc_TestOrder.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		TestModel.pro
QMAKE_TARGET  = TestModel
DESTDIR       = 
TARGET        = TestModel

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: TestModel.pro  /usr/share/qt4/mkspecs/default/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib64/libQtTest.prl \
		/usr/lib64/libQtCore.prl \
		/usr/lib64/libQtGui.prl
	$(QMAKE) -unix -o Makefile TestModel.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qtestlib.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib64/libQtTest.prl:
/usr/lib64/libQtCore.prl:
/usr/lib64/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile TestModel.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/TestModel1.0.0 || $(MKDIR) .tmp/TestModel1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/TestModel1.0.0/ && $(COPY_FILE) --parents TestOrder.h ../../src/model/order.h ../../src/model/document.h .tmp/TestModel1.0.0/ && $(COPY_FILE) --parents TestModel.cpp ../../src/model/order.cpp ../../src/model/document.cpp TestOrder.cpp .tmp/TestModel1.0.0/ && (cd `dirname .tmp/TestModel1.0.0` && $(TAR) TestModel1.0.0.tar TestModel1.0.0 && $(COMPRESS) TestModel1.0.0.tar) && $(MOVE) `dirname .tmp/TestModel1.0.0`/TestModel1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/TestModel1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_TestOrder.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_TestOrder.cpp
moc_TestOrder.cpp: ../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h \
		TestOrder.h
	/usr/bin/moc $(DEFINES) $(INCPATH) TestOrder.h -o moc_TestOrder.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

TestModel.o: TestModel.cpp TestOrder.h \
		../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TestModel.o TestModel.cpp

order.o: ../../src/model/order.cpp ../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o order.o ../../src/model/order.cpp

document.o: ../../src/model/document.cpp ../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o document.o ../../src/model/document.cpp

TestOrder.o: TestOrder.cpp TestOrder.h \
		../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TestOrder.o TestOrder.cpp

moc_TestOrder.o: moc_TestOrder.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TestOrder.o moc_TestOrder.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== app/src/user_interface/maemo/Makefile ===
#############################################################################
# Makefile for building: Demo
# Generated by qmake (2.01a) (Qt 4.6.1) on: ?? 19. ??? 13:15:00 2010
# Project:  Demo.pro
# Template: lib
# Command: c:\qt\2010.01\qt\bin\qmake.exe -spec c:\Qt\2010.01\qt\mkspecs\win32-g++ -win32 -o Makefile Demo.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = c:\qt\2010.01\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: Demo.pro  c:/Qt/2010.01/qt/mkspecs/win32-g++/qmake.conf c:/Qt/2010.01/qt/mkspecs/qconfig.pri \
		c:/Qt/2010.01/qt/mkspecs/features/qt_functions.prf \
		c:/Qt/2010.01/qt/mkspecs/features/qt_config.prf \
		c:/Qt/2010.01/qt/mkspecs/features/exclusive_builds.prf \
		c:/Qt/2010.01/qt/mkspecs/features/default_pre.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/default_pre.prf \
		c:/Qt/2010.01/qt/mkspecs/features/debug.prf \
		c:/Qt/2010.01/qt/mkspecs/features/debug_and_release.prf \
		c:/Qt/2010.01/qt/mkspecs/features/default_post.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/default_post.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/rtti.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/exceptions.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/stl.prf \
		c:/Qt/2010.01/qt/mkspecs/features/shared.prf \
		c:/Qt/2010.01/qt/mkspecs/features/dll.prf \
		c:/Qt/2010.01/qt/mkspecs/features/warn_on.prf \
		c:/Qt/2010.01/qt/mkspecs/features/qt.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/thread.prf \
		c:/Qt/2010.01/qt/mkspecs/features/moc.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/windows.prf \
		c:/Qt/2010.01/qt/mkspecs/features/resources.prf \
		c:/Qt/2010.01/qt/mkspecs/features/uic.prf \
		c:/Qt/2010.01/qt/mkspecs/features/yacc.prf \
		c:/Qt/2010.01/qt/mkspecs/features/lex.prf \
		c:/Qt/2010.01/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec c:\Qt\2010.01\qt\mkspecs\win32-g++ -win32 -o Makefile Demo.pro
c:\Qt\2010.01\qt\mkspecs\qconfig.pri:
c:\Qt\2010.01\qt\mkspecs\features\qt_functions.prf:
c:\Qt\2010.01\qt\mkspecs\features\qt_config.prf:
c:\Qt\2010.01\qt\mkspecs\features\exclusive_builds.prf:
c:\Qt\2010.01\qt\mkspecs\features\default_pre.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\default_pre.prf:
c:\Qt\2010.01\qt\mkspecs\features\debug.prf:
c:\Qt\2010.01\qt\mkspecs\features\debug_and_release.prf:
c:\Qt\2010.01\qt\mkspecs\features\default_post.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\default_post.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\rtti.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\exceptions.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\stl.prf:
c:\Qt\2010.01\qt\mkspecs\features\shared.prf:
c:\Qt\2010.01\qt\mkspecs\features\dll.prf:
c:\Qt\2010.01\qt\mkspecs\features\warn_on.prf:
c:\Qt\2010.01\qt\mkspecs\features\qt.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\thread.prf:
c:\Qt\2010.01\qt\mkspecs\features\moc.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\windows.prf:
c:\Qt\2010.01\qt\mkspecs\features\resources.prf:
c:\Qt\2010.01\qt\mkspecs\features\uic.prf:
c:\Qt\2010.01\qt\mkspecs\features\yacc.prf:
c:\Qt\2010.01\qt\mkspecs\features\lex.prf:
c:\Qt\2010.01\qt\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec c:\Qt\2010.01\qt\mkspecs\win32-g++ -win32 -o Makefile Demo.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
	-$(DEL_FILE) libDemo.a
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

=== app/src/network/lib/qtsoap-2.7/Makefile ===
#############################################################################
# Makefile for building: qtsoap
# Generated by qmake (2.01a) (Qt 4.6.1) on: ?? 24. ??? 21:34:18 2010
# Project:  qtsoap.pro
# Template: subdirs
# Command: c:\Qt\2010.01\qt\bin\qmake.exe -win32 -o Makefile qtsoap.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = c:\Qt\2010.01\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		sub-examples

examples\$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) examples\ $(MKDIR) examples\ 
	cd examples\ && $(QMAKE) examples.pro -win32 -o $(MAKEFILE)
sub-examples-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) examples\ $(MKDIR) examples\ 
	cd examples\ && $(QMAKE) examples.pro -win32 -o $(MAKEFILE)
sub-examples: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE)
sub-examples-make_default-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_default: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_first-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) first
sub-examples-make_first: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) first
sub-examples-all-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) all
sub-examples-all: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) all
sub-examples-clean-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-clean: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-distclean-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-distclean: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-install_subtargets-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) install
sub-examples-install_subtargets: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) install
sub-examples-uninstall_subtargets-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) uninstall
sub-examples-uninstall_subtargets: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qtsoap.pro  c:/Qt/2010.01/qt/mkspecs/default/qmake.conf c:/Qt/2010.01/qt/mkspecs/qconfig.pri \
		c:/Qt/2010.01/qt/mkspecs/features/qt_functions.prf \
		c:/Qt/2010.01/qt/mkspecs/features/qt_config.prf \
		c:/Qt/2010.01/qt/mkspecs/features/exclusive_builds.prf \
		c:/Qt/2010.01/qt/mkspecs/features/default_pre.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/default_pre.prf \
		common.pri \
		c:/Qt/2010.01/qt/mkspecs/features/debug.prf \
		c:/Qt/2010.01/qt/mkspecs/features/debug_and_release.prf \
		c:/Qt/2010.01/qt/mkspecs/features/default_post.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/default_post.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/rtti.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/exceptions.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/stl.prf \
		c:/Qt/2010.01/qt/mkspecs/features/shared.prf \
		c:/Qt/2010.01/qt/mkspecs/features/warn_on.prf \
		c:/Qt/2010.01/qt/mkspecs/features/qt.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/thread.prf \
		c:/Qt/2010.01/qt/mkspecs/features/moc.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/windows.prf \
		c:/Qt/2010.01/qt/mkspecs/features/resources.prf \
		c:/Qt/2010.01/qt/mkspecs/features/uic.prf \
		c:/Qt/2010.01/qt/mkspecs/features/yacc.prf \
		c:/Qt/2010.01/qt/mkspecs/features/lex.prf \
		c:/Qt/2010.01/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -win32 -o Makefile qtsoap.pro
c:\Qt\2010.01\qt\mkspecs\qconfig.pri:
c:\Qt\2010.01\qt\mkspecs\features\qt_functions.prf:
c:\Qt\2010.01\qt\mkspecs\features\qt_config.prf:
c:\Qt\2010.01\qt\mkspecs\features\exclusive_builds.prf:
c:\Qt\2010.01\qt\mkspecs\features\default_pre.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\default_pre.prf:
common.pri:
c:\Qt\2010.01\qt\mkspecs\features\debug.prf:
c:\Qt\2010.01\qt\mkspecs\features\debug_and_release.prf:
c:\Qt\2010.01\qt\mkspecs\features\default_post.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\default_post.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\rtti.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\exceptions.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\stl.prf:
c:\Qt\2010.01\qt\mkspecs\features\shared.prf:
c:\Qt\2010.01\qt\mkspecs\features\warn_on.prf:
c:\Qt\2010.01\qt\mkspecs\features\qt.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\thread.prf:
c:\Qt\2010.01\qt\mkspecs\features\moc.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\windows.prf:
c:\Qt\2010.01\qt\mkspecs\features\resources.prf:
c:\Qt\2010.01\qt\mkspecs\features\uic.prf:
c:\Qt\2010.01\qt\mkspecs\features\yacc.prf:
c:\Qt\2010.01\qt\mkspecs\features\lex.prf:
c:\Qt\2010.01\qt\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -win32 -o Makefile qtsoap.pro

qmake_all: sub-examples-qmake_all FORCE

make_default: sub-examples-make_default-ordered FORCE
make_first: sub-examples-make_first-ordered FORCE
all: sub-examples-all-ordered FORCE
clean: sub-examples-clean-ordered FORCE
distclean: sub-examples-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-examples-install_subtargets-ordered FORCE
uninstall_subtargets: sub-examples-uninstall_subtargets-ordered FORCE

sub-examples-sub_Debug_ordered: examples\$(MAKEFILE)
	cd examples\ && $(MAKE) debug
debug: sub-examples-sub_Debug_ordered

sub-examples-sub_Release_ordered: examples\$(MAKEFILE)
	cd examples\ && $(MAKE) release
release: sub-examples-sub_Release_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== app/src/user_interface/user_interface/maemo/Makefile ===
#############################################################################
# Makefile for building: Demo
# Generated by qmake (2.01a) (Qt 4.6.2) on: ?? 21. ??? 11:12:21 2010
# Project:  Demo.pro
# Template: lib
# Command: c:\qt\2010.02.1\qt\bin\qmake.exe -spec c:\Qt\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile Demo.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = c:\qt\2010.02.1\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: Demo.pro  c:/Qt/2010.02.1/qt/mkspecs/win32-g++/qmake.conf c:/Qt/2010.02.1/qt/mkspecs/qconfig.pri \
		c:/Qt/2010.02.1/qt/mkspecs/features/qt_functions.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/qt_config.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/exclusive_builds.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/default_pre.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/win32/default_pre.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/debug.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/debug_and_release.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/default_post.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/win32/default_post.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/win32/rtti.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/win32/exceptions.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/win32/stl.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/shared.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/dll.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/warn_on.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/qt.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/win32/thread.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/moc.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/win32/windows.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/resources.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/uic.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/yacc.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/lex.prf \
		c:/Qt/2010.02.1/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec c:\Qt\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile Demo.pro
c:\Qt\2010.02.1\qt\mkspecs\qconfig.pri:
c:\Qt\2010.02.1\qt\mkspecs\features\qt_functions.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\qt_config.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\exclusive_builds.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\default_pre.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\win32\default_pre.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\debug.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\debug_and_release.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\default_post.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\win32\default_post.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\win32\rtti.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\win32\exceptions.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\win32\stl.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\shared.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\dll.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\warn_on.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\qt.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\win32\thread.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\moc.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\win32\windows.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\resources.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\uic.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\yacc.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\lex.prf:
c:\Qt\2010.02.1\qt\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec c:\Qt\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile Demo.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
	-$(DEL_FILE) libDemo.a
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

=== app/src/user_interface/user_interface/maemo/maemo/Makefile ===
#############################################################################
# Makefile for building: libDemo.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 12 22:32:14 2010
# Project:  Demo.pro
# Template: lib
# Command: /usr/local/bin/qmake -unix -o Makefile Demo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib -shared
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = mainwindow.cpp \
		tableproduct.cpp \
		pathwidget.cpp \
		filteredit.cpp \
		guiplugin.cpp \
		goodswidget.cpp \
		navigationbutton.cpp \
		ordermenuwidget.cpp \
		orderwidget.cpp \
		contentwidget.cpp \
		logowidget.cpp \
		commonmenucontentwidget.cpp \
		commoncontentwidget.cpp \
		treesearchdialog.cpp \
		pathwidgetitem.cpp \
		servicelogo.cpp \
		goodsinfodialog.cpp \
		servicechoosewidget.cpp \
		ordermenucontrol.cpp \
		InformationObjects/goodinfoobject.cpp \
		InformationObjects/goodsviewinfoobject.cpp \
		InformationObjects/pathinfoobject.cpp \
		InformationObjects/serviceinfoobject.cpp moc_mainwindow.cpp \
		moc_tableproduct.cpp \
		moc_pathwidget.cpp \
		moc_filteredit.cpp \
		moc_guiplugin.cpp \
		moc_imainwindow.cpp \
		moc_goodswidget.cpp \
		moc_navigationbutton.cpp \
		moc_ordermenuwidget.cpp \
		moc_orderwidget.cpp \
		moc_contentwidget.cpp \
		moc_logowidget.cpp \
		moc_commonmenucontentwidget.cpp \
		moc_commoncontentwidget.cpp \
		moc_treesearchdialog.cpp \
		moc_pathwidgetitem.cpp \
		moc_servicelogo.cpp \
		moc_goodsinfodialog.cpp \
		moc_servicechoosewidget.cpp \
		moc_ordermenucontrol.cpp \
		moc_goodinfoobject.cpp \
		moc_goodsviewinfoobject.cpp \
		moc_pathinfoobject.cpp \
		moc_serviceinfoobject.cpp \
		qrc_res.cpp
OBJECTS       = mainwindow.o \
		tableproduct.o \
		pathwidget.o \
		filteredit.o \
		guiplugin.o \
		goodswidget.o \
		navigationbutton.o \
		ordermenuwidget.o \
		orderwidget.o \
		contentwidget.o \
		logowidget.o \
		commonmenucontentwidget.o \
		commoncontentwidget.o \
		treesearchdialog.o \
		pathwidgetitem.o \
		servicelogo.o \
		goodsinfodialog.o \
		servicechoosewidget.o \
		ordermenucontrol.o \
		goodinfoobject.o \
		goodsviewinfoobject.o \
		pathinfoobject.o \
		serviceinfoobject.o \
		moc_mainwindow.o \
		moc_tableproduct.o \
		moc_pathwidget.o \
		moc_filteredit.o \
		moc_guiplugin.o \
		moc_imainwindow.o \
		moc_goodswidget.o \
		moc_navigationbutton.o \
		moc_ordermenuwidget.o \
		moc_orderwidget.o \
		moc_contentwidget.o \
		moc_logowidget.o \
		moc_commonmenucontentwidget.o \
		moc_commoncontentwidget.o \
		moc_treesearchdialog.o \
		moc_pathwidgetitem.o \
		moc_servicelogo.o \
		moc_goodsinfodialog.o \
		moc_servicechoosewidget.o \
		moc_ordermenucontrol.o \
		moc_goodinfoobject.o \
		moc_goodsviewinfoobject.o \
		moc_pathinfoobject.o \
		moc_serviceinfoobject.o \
		qrc_res.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		Demo.pro
QMAKE_TARGET  = Demo
DESTDIR       = 
TARGET        = libDemo.so
TARGETD       = libDemo.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: Demo.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile Demo.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Demo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Demo1.0.0 || $(MKDIR) .tmp/Demo1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Demo1.0.0/ && $(COPY_FILE) --parents mainwindow.h tableproduct.h pathwidget.h filteredit.h guiplugin.h graphicsinterface.h imainwindow.h goodswidget.h navigationbutton.h ordermenuwidget.h orderwidget.h contentwidget.h logowidget.h commonmenucontentwidget.h commoncontentwidget.h treesearchdialog.h pathwidgetitem.h servicelogo.h goodsinfodialog.h interfaces/igoodsinfo.h servicechoosewidget.h ordermenucontrol.h InformationObjects/goodinfoobject.h InformationObjects/goodsviewinfoobject.h InformationObjects/pathinfoobject.h InformationObjects/serviceinfoobject.h .tmp/Demo1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/Demo1.0.0/ && $(COPY_FILE) --parents mainwindow.cpp tableproduct.cpp pathwidget.cpp filteredit.cpp guiplugin.cpp goodswidget.cpp navigationbutton.cpp ordermenuwidget.cpp orderwidget.cpp contentwidget.cpp logowidget.cpp commonmenucontentwidget.cpp commoncontentwidget.cpp treesearchdialog.cpp pathwidgetitem.cpp servicelogo.cpp goodsinfodialog.cpp servicechoosewidget.cpp ordermenucontrol.cpp InformationObjects/goodinfoobject.cpp InformationObjects/goodsviewinfoobject.cpp InformationObjects/pathinfoobject.cpp InformationObjects/serviceinfoobject.cpp .tmp/Demo1.0.0/ && (cd `dirname .tmp/Demo1.0.0` && $(TAR) Demo1.0.0.tar Demo1.0.0 && $(COMPRESS) Demo1.0.0.tar) && $(MOVE) `dirname .tmp/Demo1.0.0`/Demo1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Demo1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_tableproduct.cpp moc_pathwidget.cpp moc_filteredit.cpp moc_guiplugin.cpp moc_imainwindow.cpp moc_goodswidget.cpp moc_navigationbutton.cpp moc_ordermenuwidget.cpp moc_orderwidget.cpp moc_contentwidget.cpp moc_logowidget.cpp moc_commonmenucontentwidget.cpp moc_commoncontentwidget.cpp moc_treesearchdialog.cpp moc_pathwidgetitem.cpp moc_servicelogo.cpp moc_goodsinfodialog.cpp moc_servicechoosewidget.cpp moc_ordermenucontrol.cpp moc_goodinfoobject.cpp moc_goodsviewinfoobject.cpp moc_pathinfoobject.cpp moc_serviceinfoobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_tableproduct.cpp moc_pathwidget.cpp moc_filteredit.cpp moc_guiplugin.cpp moc_imainwindow.cpp moc_goodswidget.cpp moc_navigationbutton.cpp moc_ordermenuwidget.cpp moc_orderwidget.cpp moc_contentwidget.cpp moc_logowidget.cpp moc_commonmenucontentwidget.cpp moc_commoncontentwidget.cpp moc_treesearchdialog.cpp moc_pathwidgetitem.cpp moc_servicelogo.cpp moc_goodsinfodialog.cpp moc_servicechoosewidget.cpp moc_ordermenucontrol.cpp moc_goodinfoobject.cpp moc_goodsviewinfoobject.cpp moc_pathinfoobject.cpp moc_serviceinfoobject.cpp
moc_mainwindow.cpp: imainwindow.h \

## mobile-trade 0.1-1

=== debian/changelog ===
mobile-trade (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Andrianov Pavel <andriano@kappa.cs.karelia.ru>  Thu, 25 Feb 2010 15:55:54 +0300

=== debian/control ===
Source: mobile-trade
Section: libs
Priority: extra
Maintainer: Andrianov Pavel <andriano@kappa.cs.karelia.ru>
Build-Depends: libqt4-maemo5-dev, libgconf2-6, gconf2, libgconf2-dev
Standards-Version: 3.7.3

Package: mobile-trade
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: mobile-trade-0.1
Architecture: any
Section: devel
Depends: libqt4-maemo5-core (>= 4.6.1), libqt4-maemo5-gui (>= 4.6.1), libqt4-maemo5-network(>= 4.6.1), libqt4-maemo5-sql(>= 4.6.1), libqt4-maemo5-sql-sqlite(>= 4.6.1), libqt4-maemo5-dev(>= 4.6.1), libqt4-maemo5-maemo5(>= 4.6.1) , libgconf2-6, gconf2, libgconf2-dev
Description: Qt 4 Declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

APPNAME := mobile-trade
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro
#	cd app/src/user_interface/maemo/ && /opt/qt4-maemo5/bin/qmake CONFIG+=separate_debug_info CONFIG+=separate_debug_info_nocopy QMAKE_CXXFLAGS+="-g" QMAKE_CFLAGS+="-g" && make && cp libDemo.so /lib
#	mkdir ~/.mobiletrade && cp app/src/res/local.db ~/.mobiletrade/local.db

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=mobile-trade
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
